Skip to main content
`Ctrl`+`K`

# DMDAGetInfo

Gets information about a given distributed array.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetInfo(DM da, PeOp PetscInt *dim, PeOp PetscInt *M, PeOp PetscInt *N, PeOp PetscInt *P, PeOp PetscInt *m, PeOp PetscInt *n, PeOp PetscInt *p, PeOp PetscInt *dof, PeOp PetscInt *s, PeOp DMBoundaryType *bx, PeOp DMBoundaryType *by, PeOp DMBoundaryType *bz, PeOp DMDAStencilType *st)

Not Collective

## Input Parameter

- da - the `DMDA`

## Output Parameters

- dim - dimension of the `DMDA` (1, 2, or 3)

- M - global dimension in first direction of the array

- N - global dimension in second direction of the array

- P - global dimension in third direction of the array

- m - corresponding number of MPI processes in first dimension

- n - corresponding number of MPI processes in second dimension

- p - corresponding number of MPI processes in third dimension

- dof - number of degrees of freedom per node

- s - stencil width

- bx - type of ghost nodes at boundary in first dimension

- by - type of ghost nodes at boundary in second dimension

- bz - type of ghost nodes at boundary in third dimension

- st - stencil type, either `DMDA_STENCIL_STAR` or `DMDA_STENCIL_BOX`

## Note

Use `NULL` (`PETSC_NULL_INTEGER` in Fortran) in place of any output parameter that is not of interest.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMView()`, `DMDAGetCorners()`, `DMDAGetLocalInfo()`

## Level

beginner

## Location

src/dm/impls/da/daview.c

## Examples

src/dm/tutorials/swarm_ex3.c
src/ksp/ksp/tutorials/ex22f.F90
src/ksp/ksp/tutorials/ex49.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex71.c
src/dm/tutorials/ex15.c
src/ksp/ksp/tutorials/ex28.c
src/ksp/ksp/tutorials/ex69.c
src/ksp/ksp/tutorials/ex25.c
src/ksp/ksp/tutorials/ex29.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages